package minademo;

import org.apache.mina.core.service.*;
import org.apache.mina.core.session.*;
import org.slf4j.*;

public class MinaTimeClientHandler extends IoHandlerAdapter {
	private Logger logger = LoggerFactory.getLogger(MinaTimeClientHandler.class);
	
	public void exceptionCaught(IoSession session, Throwable cause) throws Exception {
		logger.warn("catch exception", cause);
		session.closeNow();
	}
	
	public void messageSent(IoSession session, Object message) throws Exception {
		String content = message.toString();
		logger.info("send message: {}", content);
	}
	
	public void messageReceived(IoSession session, Object message) throws Exception {
		String content = message.toString();
		logger.info("receive message: {}", content);
	}
}

