package minademo;

import org.apache.mina.core.service.*;
import org.apache.mina.core.session.*;
import java.util.*;
import org.slf4j.*;

public class MinaTimeServerHandler extends IoHandlerAdapter {
	private Logger logger = LoggerFactory.getLogger(MinaTimeServerHandler.class);
	
	public void exceptionCaught(IoSession session, Throwable cause) throws Exception {
		logger.warn("catch exception", cause);
		session.closeNow();
	}
	
	public void messageReceived(IoSession session, Object message) throws Exception {
		String msg = message.toString();
		if (msg.trim().equalsIgnoreCase("quit")) {
			session.closeNow();
			return;
		}
		Date date = new Date();
		session.write(date.toString());
		logger.info("message written...");
	}
	
	public void sessionIdle(IoSession session, IdleStatus status) throws Exception {
		logger.info("idle status is {}, count is {}", status, session.getIdleCount(status));
	}
}

